//
//  LLSpilloCoreDataMessaging.h
//  Spillo
//
//  Created by Damien DeVille on 8/15/14.
//  Copyright (c) 2014 Damien DeVille. All rights reserved.
//

#import <Cocoa/Cocoa.h>

@interface LLSpilloPersistentStoreNotification : NSObject <NSSecureCoding>

+ (instancetype)notificationWithName:(NSString *)name userInfo:(NSDictionary *)userInfo;

@property (readonly, copy) NSString *name;
@property (readonly, copy) NSDictionary *userInfo;

@end

@interface LLSpilloPersistentStoreNotification (Archiving)

- (NSData *)archive;
+ (LLSpilloPersistentStoreNotification *)unarchive:(NSData *)data;

@end

@interface NSManagedObjectContext (LLSpilloPersistentStoreSaveNotification)

- (LLSpilloPersistentStoreNotification *)createPersistentStoreSaveNotificationFromSaveNotification:(NSNotification *)notification;
- (NSNotification *)createSaveNotificationFromPersistentStoreSaveNotification:(LLSpilloPersistentStoreNotification *)notification;

@end
